com.amazonaws.services.elastictranscoder.model

## Class CreateJobOutput

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.CreateJobOutput

All Implemented Interfaces:
  Serializable, Cloneable

    public class CreateJobOutput
    extends Object
    implements Serializable, Cloneable

The `CreateJobOutput` structure.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CreateJobOutput()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`CreateJobOutput` `clone()`
`boolean` `equals(Object obj)`
`JobAlbumArt` `getAlbumArt()` Information about the album art that you want Elastic Transcoder to add to the file during transcoding.
`Captions` `getCaptions()` You can configure Elastic Transcoder to transcode captions, or subtitles, from one format to another.
`List<Clip>` `getComposition()` Deprecated.
`Encryption` `getEncryption()` You can specify encryption settings for any output files that you want to use for a transcoding job.
`String` `getKey()` The name to assign to the transcoded file.
`String` `getPresetId()` The `Id` of the preset to use for this job.
`String` `getRotate()` The number of degrees clockwise by which you want Elastic Transcoder to rotate the output relative to the input.
`String` `getSegmentDuration()` <important>
`Encryption` `getThumbnailEncryption()` The encryption settings, if any, that you want Elastic Transcoder to apply to your thumbnail.
`String` `getThumbnailPattern()` Whether you want Elastic Transcoder to create thumbnails for your videos and, if so, how you want Elastic Transcoder to name the files.
`List<JobWatermark>` `getWatermarks()` Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding.
`int` `hashCode()`
`void` `setAlbumArt(JobAlbumArt albumArt)` Information about the album art that you want Elastic Transcoder to add to the file during transcoding.
`void` `setCaptions(Captions captions)` You can configure Elastic Transcoder to transcode captions, or subtitles, from one format to another.
`void` `setComposition(Collection<Clip> composition)` Deprecated.
`void` `setEncryption(Encryption encryption)` You can specify encryption settings for any output files that you want to use for a transcoding job.
`void` `setKey(String key)` The name to assign to the transcoded file.
`void` `setPresetId(String presetId)` The `Id` of the preset to use for this job.
`void` `setRotate(String rotate)` The number of degrees clockwise by which you want Elastic Transcoder to rotate the output relative to the input.
`void` `setSegmentDuration(String segmentDuration)` <important>
`void` `setThumbnailEncryption(Encryption thumbnailEncryption)` The encryption settings, if any, that you want Elastic Transcoder to apply to your thumbnail.
`void` `setThumbnailPattern(String thumbnailPattern)` Whether you want Elastic Transcoder to create thumbnails for your videos and, if so, how you want Elastic Transcoder to name the files.
`void` `setWatermarks(Collection<JobWatermark> watermarks)` Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateJobOutput` `withAlbumArt(JobAlbumArt albumArt)` Information about the album art that you want Elastic Transcoder to add to the file during transcoding.
`CreateJobOutput` `withCaptions(Captions captions)` You can configure Elastic Transcoder to transcode captions, or subtitles, from one format to another.
`CreateJobOutput` `withComposition(Clip... composition)` Deprecated.
`CreateJobOutput` `withComposition(Collection<Clip> composition)` Deprecated.
`CreateJobOutput` `withEncryption(Encryption encryption)` You can specify encryption settings for any output files that you want to use for a transcoding job.
`CreateJobOutput` `withKey(String key)` The name to assign to the transcoded file.
`CreateJobOutput` `withPresetId(String presetId)` The `Id` of the preset to use for this job.
`CreateJobOutput` `withRotate(String rotate)` The number of degrees clockwise by which you want Elastic Transcoder to rotate the output relative to the input.
`CreateJobOutput` `withSegmentDuration(String segmentDuration)` <important>
`CreateJobOutput` `withThumbnailEncryption(Encryption thumbnailEncryption)` The encryption settings, if any, that you want Elastic Transcoder to apply to your thumbnail.
`CreateJobOutput` `withThumbnailPattern(String thumbnailPattern)` Whether you want Elastic Transcoder to create thumbnails for your videos and, if so, how you want Elastic Transcoder to name the files.
`CreateJobOutput` `withWatermarks(Collection<JobWatermark> watermarks)` Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding.
`CreateJobOutput` `withWatermarks(JobWatermark... watermarks)` Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateJobOutput

    public CreateJobOutput()

### Method Detail

#### setKey

    public void setKey(String key)

The name to assign to the transcoded file. Elastic Transcoder saves the file in the Amazon S3 bucket specified by the `OutputBucket` object in the pipeline that is specified by the pipeline ID. If a file with the specified name already exists in the output bucket, the job fails.

Parameters:
  `key` - The name to assign to the transcoded file. Elastic Transcoder saves the file in the Amazon S3 bucket specified by the `OutputBucket` object in the pipeline that is specified by the pipeline ID. If a file with the specified name already exists in the output bucket, the job fails.

#### getKey

    public String getKey()

The name to assign to the transcoded file. Elastic Transcoder saves the file in the Amazon S3 bucket specified by the `OutputBucket` object in the pipeline that is specified by the pipeline ID. If a file with the specified name already exists in the output bucket, the job fails.

Returns:
  The name to assign to the transcoded file. Elastic Transcoder saves the file in the Amazon S3 bucket specified by the `OutputBucket` object in the pipeline that is specified by the pipeline ID. If a file with the specified name already exists in the output bucket, the job fails.

#### withKey

    public CreateJobOutput withKey(String key)

The name to assign to the transcoded file. Elastic Transcoder saves the file in the Amazon S3 bucket specified by the `OutputBucket` object in the pipeline that is specified by the pipeline ID. If a file with the specified name already exists in the output bucket, the job fails.

Parameters:
  `key` - The name to assign to the transcoded file. Elastic Transcoder saves the file in the Amazon S3 bucket specified by the `OutputBucket` object in the pipeline that is specified by the pipeline ID. If a file with the specified name already exists in the output bucket, the job fails.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setThumbnailPattern

    public void setThumbnailPattern(String thumbnailPattern)

Whether you want Elastic Transcoder to create thumbnails for your videos and, if so, how you want Elastic Transcoder to name the files.

If you don't want Elastic Transcoder to create thumbnails, specify "".

If you do want Elastic Transcoder to create thumbnails, specify the information that you want to include in the file name for each thumbnail. You can specify the following values in any sequence:

- `{count}` (Required): If you want to create thumbnails, you must include `{count}` in the `ThumbnailPattern` object. Wherever you specify `{count}`, Elastic Transcoder adds a five-digit sequence number (beginning with 00001) to thumbnail file names. The number indicates where a given thumbnail appears in the sequence of thumbnails for a transcoded file.

  <important>

  If you specify a literal value and/or `{resolution}` but you omit `{count}`, Elastic Transcoder returns a validation error and does not create the job.

  </important>

- Literal values (Optional): You can specify literal values anywhere in the `ThumbnailPattern` object. For example, you can include them as a file name prefix or as a delimiter between `{resolution}` and `{count}`.

- `{resolution}` (Optional): If you want Elastic Transcoder to include the resolution in the file name, include `{resolution}` in the `ThumbnailPattern` object.

When creating thumbnails, Elastic Transcoder automatically saves the files in the format (.jpg or .png) that appears in the preset that you specified in the `PresetID` value of `CreateJobOutput`. Elastic Transcoder also appends the applicable file name extension.

Parameters:
  `thumbnailPattern` - Whether you want Elastic Transcoder to create thumbnails for your videos and, if so, how you want Elastic Transcoder to name the files.

  If you don't want Elastic Transcoder to create thumbnails, specify "".

  If you do want Elastic Transcoder to create thumbnails, specify the information that you want to include in the file name for each thumbnail. You can specify the following values in any sequence:

  - `{count}` (Required): If you want to create thumbnails, you must include `{count}` in the `ThumbnailPattern` object. Wherever you specify `{count}`, Elastic Transcoder adds a five-digit sequence number (beginning with 00001) to thumbnail file names. The number indicates where a given thumbnail appears in the sequence of thumbnails for a transcoded file.

    <important>

    If you specify a literal value and/or `{resolution}` but you omit `{count}`, Elastic Transcoder returns a validation error and does not create the job.

    </important>

  - Literal values (Optional): You can specify literal values anywhere in the `ThumbnailPattern` object. For example, you can include them as a file name prefix or as a delimiter between `{resolution}` and `{count}`.

  - `{resolution}` (Optional): If you want Elastic Transcoder to include the resolution in the file name, include `{resolution}` in the `ThumbnailPattern` object.

  When creating thumbnails, Elastic Transcoder automatically saves the files in the format (.jpg or .png) that appears in the preset that you specified in the `PresetID` value of `CreateJobOutput`. Elastic Transcoder also appends the applicable file name extension.

#### getThumbnailPattern

    public String getThumbnailPattern()

Whether you want Elastic Transcoder to create thumbnails for your videos and, if so, how you want Elastic Transcoder to name the files.

If you don't want Elastic Transcoder to create thumbnails, specify "".

If you do want Elastic Transcoder to create thumbnails, specify the information that you want to include in the file name for each thumbnail. You can specify the following values in any sequence:

- `{count}` (Required): If you want to create thumbnails, you must include `{count}` in the `ThumbnailPattern` object. Wherever you specify `{count}`, Elastic Transcoder adds a five-digit sequence number (beginning with 00001) to thumbnail file names. The number indicates where a given thumbnail appears in the sequence of thumbnails for a transcoded file.

  <important>

  If you specify a literal value and/or `{resolution}` but you omit `{count}`, Elastic Transcoder returns a validation error and does not create the job.

  </important>

- Literal values (Optional): You can specify literal values anywhere in the `ThumbnailPattern` object. For example, you can include them as a file name prefix or as a delimiter between `{resolution}` and `{count}`.

- `{resolution}` (Optional): If you want Elastic Transcoder to include the resolution in the file name, include `{resolution}` in the `ThumbnailPattern` object.

When creating thumbnails, Elastic Transcoder automatically saves the files in the format (.jpg or .png) that appears in the preset that you specified in the `PresetID` value of `CreateJobOutput`. Elastic Transcoder also appends the applicable file name extension.

Returns:
  Whether you want Elastic Transcoder to create thumbnails for your videos and, if so, how you want Elastic Transcoder to name the files.

  If you don't want Elastic Transcoder to create thumbnails, specify "".

  If you do want Elastic Transcoder to create thumbnails, specify the information that you want to include in the file name for each thumbnail. You can specify the following values in any sequence:

  - `{count}` (Required): If you want to create thumbnails, you must include `{count}` in the `ThumbnailPattern` object. Wherever you specify `{count}`, Elastic Transcoder adds a five-digit sequence number (beginning with 00001) to thumbnail file names. The number indicates where a given thumbnail appears in the sequence of thumbnails for a transcoded file.

    <important>

    If you specify a literal value and/or `{resolution}` but you omit `{count}`, Elastic Transcoder returns a validation error and does not create the job.

    </important>

  - Literal values (Optional): You can specify literal values anywhere in the `ThumbnailPattern` object. For example, you can include them as a file name prefix or as a delimiter between `{resolution}` and `{count}`.

  - `{resolution}` (Optional): If you want Elastic Transcoder to include the resolution in the file name, include `{resolution}` in the `ThumbnailPattern` object.

  When creating thumbnails, Elastic Transcoder automatically saves the files in the format (.jpg or .png) that appears in the preset that you specified in the `PresetID` value of `CreateJobOutput`. Elastic Transcoder also appends the applicable file name extension.

#### withThumbnailPattern

    public CreateJobOutput withThumbnailPattern(String thumbnailPattern)

Whether you want Elastic Transcoder to create thumbnails for your videos and, if so, how you want Elastic Transcoder to name the files.

If you don't want Elastic Transcoder to create thumbnails, specify "".

If you do want Elastic Transcoder to create thumbnails, specify the information that you want to include in the file name for each thumbnail. You can specify the following values in any sequence:

- `{count}` (Required): If you want to create thumbnails, you must include `{count}` in the `ThumbnailPattern` object. Wherever you specify `{count}`, Elastic Transcoder adds a five-digit sequence number (beginning with 00001) to thumbnail file names. The number indicates where a given thumbnail appears in the sequence of thumbnails for a transcoded file.

  <important>

  If you specify a literal value and/or `{resolution}` but you omit `{count}`, Elastic Transcoder returns a validation error and does not create the job.

  </important>

- Literal values (Optional): You can specify literal values anywhere in the `ThumbnailPattern` object. For example, you can include them as a file name prefix or as a delimiter between `{resolution}` and `{count}`.

- `{resolution}` (Optional): If you want Elastic Transcoder to include the resolution in the file name, include `{resolution}` in the `ThumbnailPattern` object.

When creating thumbnails, Elastic Transcoder automatically saves the files in the format (.jpg or .png) that appears in the preset that you specified in the `PresetID` value of `CreateJobOutput`. Elastic Transcoder also appends the applicable file name extension.

Parameters:
  `thumbnailPattern` - Whether you want Elastic Transcoder to create thumbnails for your videos and, if so, how you want Elastic Transcoder to name the files.

  If you don't want Elastic Transcoder to create thumbnails, specify "".

  If you do want Elastic Transcoder to create thumbnails, specify the information that you want to include in the file name for each thumbnail. You can specify the following values in any sequence:

  - `{count}` (Required): If you want to create thumbnails, you must include `{count}` in the `ThumbnailPattern` object. Wherever you specify `{count}`, Elastic Transcoder adds a five-digit sequence number (beginning with 00001) to thumbnail file names. The number indicates where a given thumbnail appears in the sequence of thumbnails for a transcoded file.

    <important>

    If you specify a literal value and/or `{resolution}` but you omit `{count}`, Elastic Transcoder returns a validation error and does not create the job.

    </important>

  - Literal values (Optional): You can specify literal values anywhere in the `ThumbnailPattern` object. For example, you can include them as a file name prefix or as a delimiter between `{resolution}` and `{count}`.

  - `{resolution}` (Optional): If you want Elastic Transcoder to include the resolution in the file name, include `{resolution}` in the `ThumbnailPattern` object.

  When creating thumbnails, Elastic Transcoder automatically saves the files in the format (.jpg or .png) that appears in the preset that you specified in the `PresetID` value of `CreateJobOutput`. Elastic Transcoder also appends the applicable file name extension.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setThumbnailEncryption

    public void setThumbnailEncryption(Encryption thumbnailEncryption)

The encryption settings, if any, that you want Elastic Transcoder to apply to your thumbnail.

Parameters:
  `thumbnailEncryption` - The encryption settings, if any, that you want Elastic Transcoder to apply to your thumbnail.

#### getThumbnailEncryption

    public Encryption getThumbnailEncryption()

The encryption settings, if any, that you want Elastic Transcoder to apply to your thumbnail.

Returns:
  The encryption settings, if any, that you want Elastic Transcoder to apply to your thumbnail.

#### withThumbnailEncryption

    public CreateJobOutput withThumbnailEncryption(Encryption thumbnailEncryption)

The encryption settings, if any, that you want Elastic Transcoder to apply to your thumbnail.

Parameters:
  `thumbnailEncryption` - The encryption settings, if any, that you want Elastic Transcoder to apply to your thumbnail.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRotate

    public void setRotate(String rotate)

The number of degrees clockwise by which you want Elastic Transcoder to rotate the output relative to the input. Enter one of the following values: `auto`, `0`, `90`, `180`, `270`. The value `auto` generally works only if the file that you're transcoding contains rotation metadata.

Parameters:
  `rotate` - The number of degrees clockwise by which you want Elastic Transcoder to rotate the output relative to the input. Enter one of the following values: `auto`, `0`, `90`, `180`, `270`. The value `auto` generally works only if the file that you're transcoding contains rotation metadata.

#### getRotate

    public String getRotate()

The number of degrees clockwise by which you want Elastic Transcoder to rotate the output relative to the input. Enter one of the following values: `auto`, `0`, `90`, `180`, `270`. The value `auto` generally works only if the file that you're transcoding contains rotation metadata.

Returns:
  The number of degrees clockwise by which you want Elastic Transcoder to rotate the output relative to the input. Enter one of the following values: `auto`, `0`, `90`, `180`, `270`. The value `auto` generally works only if the file that you're transcoding contains rotation metadata.

#### withRotate

    public CreateJobOutput withRotate(String rotate)

The number of degrees clockwise by which you want Elastic Transcoder to rotate the output relative to the input. Enter one of the following values: `auto`, `0`, `90`, `180`, `270`. The value `auto` generally works only if the file that you're transcoding contains rotation metadata.

Parameters:
  `rotate` - The number of degrees clockwise by which you want Elastic Transcoder to rotate the output relative to the input. Enter one of the following values: `auto`, `0`, `90`, `180`, `270`. The value `auto` generally works only if the file that you're transcoding contains rotation metadata.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setPresetId

    public void setPresetId(String presetId)

The `Id` of the preset to use for this job. The preset determines the audio, video, and thumbnail settings that Elastic Transcoder uses for transcoding.

Parameters:
  `presetId` - The `Id` of the preset to use for this job. The preset determines the audio, video, and thumbnail settings that Elastic Transcoder uses for transcoding.

#### getPresetId

    public String getPresetId()

The `Id` of the preset to use for this job. The preset determines the audio, video, and thumbnail settings that Elastic Transcoder uses for transcoding.

Returns:
  The `Id` of the preset to use for this job. The preset determines the audio, video, and thumbnail settings that Elastic Transcoder uses for transcoding.

#### withPresetId

    public CreateJobOutput withPresetId(String presetId)

The `Id` of the preset to use for this job. The preset determines the audio, video, and thumbnail settings that Elastic Transcoder uses for transcoding.

Parameters:
  `presetId` - The `Id` of the preset to use for this job. The preset determines the audio, video, and thumbnail settings that Elastic Transcoder uses for transcoding.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSegmentDuration

    public void setSegmentDuration(String segmentDuration)

<important>

(Outputs in Fragmented MP4 or MPEG-TS format only.

</important>

If you specify a preset in `PresetId` for which the value of `Container` is `fmp4` (Fragmented MP4) or `ts` (MPEG-TS), `SegmentDuration` is the target maximum duration of each segment in seconds. For `HLSv3` format playlists, each media segment is stored in a separate `.ts` file. For `HLSv4` and `Smooth` playlists, all media segments for an output are stored in a single file. Each segment is approximately the length of the `SegmentDuration`, though individual segments might be shorter or longer.

The range of valid values is 1 to 60 seconds. If the duration of the video is not evenly divisible by `SegmentDuration`, the duration of the last segment is the remainder of total length/SegmentDuration.

Elastic Transcoder creates an output-specific playlist for each output `HLS` output that you specify in OutputKeys. To add an output to the master playlist for this job, include it in the `OutputKeys` of the associated playlist.

Parameters:
  `segmentDuration` -

  (Outputs in Fragmented MP4 or MPEG-TS format only.

  </important>

  If you specify a preset in `PresetId` for which the value of `Container` is `fmp4` (Fragmented MP4) or `ts` (MPEG-TS), `SegmentDuration` is the target maximum duration of each segment in seconds. For `HLSv3` format playlists, each media segment is stored in a separate `.ts` file. For `HLSv4` and `Smooth` playlists, all media segments for an output are stored in a single file. Each segment is approximately the length of the `SegmentDuration`, though individual segments might be shorter or longer.

  The range of valid values is 1 to 60 seconds. If the duration of the video is not evenly divisible by `SegmentDuration`, the duration of the last segment is the remainder of total length/SegmentDuration.

  Elastic Transcoder creates an output-specific playlist for each output `HLS` output that you specify in OutputKeys. To add an output to the master playlist for this job, include it in the `OutputKeys` of the associated playlist.

#### getSegmentDuration

    public String getSegmentDuration()

<important>

(Outputs in Fragmented MP4 or MPEG-TS format only.

</important>

If you specify a preset in `PresetId` for which the value of `Container` is `fmp4` (Fragmented MP4) or `ts` (MPEG-TS), `SegmentDuration` is the target maximum duration of each segment in seconds. For `HLSv3` format playlists, each media segment is stored in a separate `.ts` file. For `HLSv4` and `Smooth` playlists, all media segments for an output are stored in a single file. Each segment is approximately the length of the `SegmentDuration`, though individual segments might be shorter or longer.

The range of valid values is 1 to 60 seconds. If the duration of the video is not evenly divisible by `SegmentDuration`, the duration of the last segment is the remainder of total length/SegmentDuration.

Elastic Transcoder creates an output-specific playlist for each output `HLS` output that you specify in OutputKeys. To add an output to the master playlist for this job, include it in the `OutputKeys` of the associated playlist.

Returns:

  (Outputs in Fragmented MP4 or MPEG-TS format only.

  </important>

  If you specify a preset in `PresetId` for which the value of `Container` is `fmp4` (Fragmented MP4) or `ts` (MPEG-TS), `SegmentDuration` is the target maximum duration of each segment in seconds. For `HLSv3` format playlists, each media segment is stored in a separate `.ts` file. For `HLSv4` and `Smooth` playlists, all media segments for an output are stored in a single file. Each segment is approximately the length of the `SegmentDuration`, though individual segments might be shorter or longer.

  The range of valid values is 1 to 60 seconds. If the duration of the video is not evenly divisible by `SegmentDuration`, the duration of the last segment is the remainder of total length/SegmentDuration.

  Elastic Transcoder creates an output-specific playlist for each output `HLS` output that you specify in OutputKeys. To add an output to the master playlist for this job, include it in the `OutputKeys` of the associated playlist.

#### withSegmentDuration

    public CreateJobOutput withSegmentDuration(String segmentDuration)

<important>

(Outputs in Fragmented MP4 or MPEG-TS format only.

</important>

If you specify a preset in `PresetId` for which the value of `Container` is `fmp4` (Fragmented MP4) or `ts` (MPEG-TS), `SegmentDuration` is the target maximum duration of each segment in seconds. For `HLSv3` format playlists, each media segment is stored in a separate `.ts` file. For `HLSv4` and `Smooth` playlists, all media segments for an output are stored in a single file. Each segment is approximately the length of the `SegmentDuration`, though individual segments might be shorter or longer.

The range of valid values is 1 to 60 seconds. If the duration of the video is not evenly divisible by `SegmentDuration`, the duration of the last segment is the remainder of total length/SegmentDuration.

Elastic Transcoder creates an output-specific playlist for each output `HLS` output that you specify in OutputKeys. To add an output to the master playlist for this job, include it in the `OutputKeys` of the associated playlist.

Parameters:
  `segmentDuration` -

  (Outputs in Fragmented MP4 or MPEG-TS format only.

  </important>

  If you specify a preset in `PresetId` for which the value of `Container` is `fmp4` (Fragmented MP4) or `ts` (MPEG-TS), `SegmentDuration` is the target maximum duration of each segment in seconds. For `HLSv3` format playlists, each media segment is stored in a separate `.ts` file. For `HLSv4` and `Smooth` playlists, all media segments for an output are stored in a single file. Each segment is approximately the length of the `SegmentDuration`, though individual segments might be shorter or longer.

  The range of valid values is 1 to 60 seconds. If the duration of the video is not evenly divisible by `SegmentDuration`, the duration of the last segment is the remainder of total length/SegmentDuration.

  Elastic Transcoder creates an output-specific playlist for each output `HLS` output that you specify in OutputKeys. To add an output to the master playlist for this job, include it in the `OutputKeys` of the associated playlist.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getWatermarks

    public List<JobWatermark> getWatermarks()

Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding. You can specify up to four watermarks for each output. Settings for each watermark must be defined in the preset for the current output.

Returns:
  Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding. You can specify up to four watermarks for each output. Settings for each watermark must be defined in the preset for the current output.

#### setWatermarks

    public void setWatermarks(Collection<JobWatermark> watermarks)

Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding. You can specify up to four watermarks for each output. Settings for each watermark must be defined in the preset for the current output.

Parameters:
  `watermarks` - Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding. You can specify up to four watermarks for each output. Settings for each watermark must be defined in the preset for the current output.

#### withWatermarks

    public CreateJobOutput withWatermarks(JobWatermark... watermarks)

Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding. You can specify up to four watermarks for each output. Settings for each watermark must be defined in the preset for the current output.

NOTE: This method appends the values to the existing list (if any). Use `setWatermarks(java.util.Collection)` or `withWatermarks(java.util.Collection)` if you want to override the existing values.

Parameters:
  `watermarks` - Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding. You can specify up to four watermarks for each output. Settings for each watermark must be defined in the preset for the current output.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withWatermarks

    public CreateJobOutput withWatermarks(Collection<JobWatermark> watermarks)

Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding. You can specify up to four watermarks for each output. Settings for each watermark must be defined in the preset for the current output.

Parameters:
  `watermarks` - Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding. You can specify up to four watermarks for each output. Settings for each watermark must be defined in the preset for the current output.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAlbumArt

    public void setAlbumArt(JobAlbumArt albumArt)

Information about the album art that you want Elastic Transcoder to add to the file during transcoding. You can specify up to twenty album artworks for each output. Settings for each artwork must be defined in the job for the current output.

Parameters:
  `albumArt` - Information about the album art that you want Elastic Transcoder to add to the file during transcoding. You can specify up to twenty album artworks for each output. Settings for each artwork must be defined in the job for the current output.

#### getAlbumArt

    public JobAlbumArt getAlbumArt()

Information about the album art that you want Elastic Transcoder to add to the file during transcoding. You can specify up to twenty album artworks for each output. Settings for each artwork must be defined in the job for the current output.

Returns:
  Information about the album art that you want Elastic Transcoder to add to the file during transcoding. You can specify up to twenty album artworks for each output. Settings for each artwork must be defined in the job for the current output.

#### withAlbumArt

    public CreateJobOutput withAlbumArt(JobAlbumArt albumArt)

Information about the album art that you want Elastic Transcoder to add to the file during transcoding. You can specify up to twenty album artworks for each output. Settings for each artwork must be defined in the job for the current output.

Parameters:
  `albumArt` - Information about the album art that you want Elastic Transcoder to add to the file during transcoding. You can specify up to twenty album artworks for each output. Settings for each artwork must be defined in the job for the current output.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getComposition

    @Deprecated
    public List<Clip> getComposition()

Deprecated.

You can create an output file that contains an excerpt from the input file. This excerpt, called a clip, can come from the beginning, middle, or end of the file. The Composition object contains settings for the clips that make up an output file. For the current release, you can only specify settings for a single clip per output file. The Composition object cannot be null.

Returns:
  You can create an output file that contains an excerpt from the input file. This excerpt, called a clip, can come from the beginning, middle, or end of the file. The Composition object contains settings for the clips that make up an output file. For the current release, you can only specify settings for a single clip per output file. The Composition object cannot be null.

#### setComposition

    @Deprecated
    public void setComposition(Collection<Clip> composition)

Deprecated.

You can create an output file that contains an excerpt from the input file. This excerpt, called a clip, can come from the beginning, middle, or end of the file. The Composition object contains settings for the clips that make up an output file. For the current release, you can only specify settings for a single clip per output file. The Composition object cannot be null.

Parameters:
  `composition` - You can create an output file that contains an excerpt from the input file. This excerpt, called a clip, can come from the beginning, middle, or end of the file. The Composition object contains settings for the clips that make up an output file. For the current release, you can only specify settings for a single clip per output file. The Composition object cannot be null.

#### withComposition

    @Deprecated
    public CreateJobOutput withComposition(Clip... composition)

Deprecated.

You can create an output file that contains an excerpt from the input file. This excerpt, called a clip, can come from the beginning, middle, or end of the file. The Composition object contains settings for the clips that make up an output file. For the current release, you can only specify settings for a single clip per output file. The Composition object cannot be null.

NOTE: This method appends the values to the existing list (if any). Use `setComposition(java.util.Collection)` or `withComposition(java.util.Collection)` if you want to override the existing values.

Parameters:
  `composition` - You can create an output file that contains an excerpt from the input file. This excerpt, called a clip, can come from the beginning, middle, or end of the file. The Composition object contains settings for the clips that make up an output file. For the current release, you can only specify settings for a single clip per output file. The Composition object cannot be null.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withComposition

    @Deprecated
    public CreateJobOutput withComposition(Collection<Clip> composition)

Deprecated.

You can create an output file that contains an excerpt from the input file. This excerpt, called a clip, can come from the beginning, middle, or end of the file. The Composition object contains settings for the clips that make up an output file. For the current release, you can only specify settings for a single clip per output file. The Composition object cannot be null.

Parameters:
  `composition` - You can create an output file that contains an excerpt from the input file. This excerpt, called a clip, can come from the beginning, middle, or end of the file. The Composition object contains settings for the clips that make up an output file. For the current release, you can only specify settings for a single clip per output file. The Composition object cannot be null.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCaptions

    public void setCaptions(Captions captions)

You can configure Elastic Transcoder to transcode captions, or subtitles, from one format to another. All captions must be in UTF-8. Elastic Transcoder supports two types of captions:

- Embedded: Embedded captions are included in the same file as the audio and video. Elastic Transcoder supports only one embedded caption per language, to a maximum of 300 embedded captions per file.

  Valid input values include: `CEA-608 (EIA-608`, first non-empty channel only), `CEA-708 (EIA-708`, first non-empty channel only), and `mov-text`

  Valid outputs include: `mov-text`

  Elastic Transcoder supports a maximum of one embedded format per output.

- Sidecar: Sidecar captions are kept in a separate metadata file from the audio and video data. Sidecar captions require a player that is capable of understanding the relationship between the video file and the sidecar file. Elastic Transcoder supports only one sidecar caption per language, to a maximum of 20 sidecar captions per file.

  Valid input values include: `dfxp` (first div element only), `ebu-tt`, `scc`, `smpt`, `srt`, `ttml` (first div element only), and `webvtt`

  Valid outputs include: `dfxp` (first div element only), `scc`, `srt`, and `webvtt`.

If you want ttml or smpte-tt compatible captions, specify dfxp as your output format.

Elastic Transcoder does not support OCR (Optical Character Recognition), does not accept pictures as a valid input for captions, and is not available for audio-only transcoding. Elastic Transcoder does not preserve text formatting (for example, italics) during the transcoding process.

To remove captions or leave the captions empty, set `Captions` to null. To pass through existing captions unchanged, set the `MergePolicy` to `MergeRetain`, and pass in a null `CaptionSources` array.

For more information on embedded files, see the Subtitles Wikipedia page.

For more information on sidecar files, see the Extensible Metadata Platform and Sidecar file Wikipedia pages.

Parameters:
  `captions` - You can configure Elastic Transcoder to transcode captions, or subtitles, from one format to another. All captions must be in UTF-8. Elastic Transcoder supports two types of captions:

  - Embedded: Embedded captions are included in the same file as the audio and video. Elastic Transcoder supports only one embedded caption per language, to a maximum of 300 embedded captions per file.

    Valid input values include: `CEA-608 (EIA-608`, first non-empty channel only), `CEA-708 (EIA-708`, first non-empty channel only), and `mov-text`

    Valid outputs include: `mov-text`

    Elastic Transcoder supports a maximum of one embedded format per output.

  - Sidecar: Sidecar captions are kept in a separate metadata file from the audio and video data. Sidecar captions require a player that is capable of understanding the relationship between the video file and the sidecar file. Elastic Transcoder supports only one sidecar caption per language, to a maximum of 20 sidecar captions per file.

    Valid input values include: `dfxp` (first div element only), `ebu-tt`, `scc`, `smpt`, `srt`, `ttml` (first div element only), and `webvtt`

    Valid outputs include: `dfxp` (first div element only), `scc`, `srt`, and `webvtt`.

  If you want ttml or smpte-tt compatible captions, specify dfxp as your output format.

  Elastic Transcoder does not support OCR (Optical Character Recognition), does not accept pictures as a valid input for captions, and is not available for audio-only transcoding. Elastic Transcoder does not preserve text formatting (for example, italics) during the transcoding process.

  To remove captions or leave the captions empty, set `Captions` to null. To pass through existing captions unchanged, set the `MergePolicy` to `MergeRetain`, and pass in a null `CaptionSources` array.

  For more information on embedded files, see the Subtitles Wikipedia page.

  For more information on sidecar files, see the Extensible Metadata Platform and Sidecar file Wikipedia pages.

#### getCaptions

    public Captions getCaptions()

You can configure Elastic Transcoder to transcode captions, or subtitles, from one format to another. All captions must be in UTF-8. Elastic Transcoder supports two types of captions:

- Embedded: Embedded captions are included in the same file as the audio and video. Elastic Transcoder supports only one embedded caption per language, to a maximum of 300 embedded captions per file.

  Valid input values include: `CEA-608 (EIA-608`, first non-empty channel only), `CEA-708 (EIA-708`, first non-empty channel only), and `mov-text`

  Valid outputs include: `mov-text`

  Elastic Transcoder supports a maximum of one embedded format per output.

- Sidecar: Sidecar captions are kept in a separate metadata file from the audio and video data. Sidecar captions require a player that is capable of understanding the relationship between the video file and the sidecar file. Elastic Transcoder supports only one sidecar caption per language, to a maximum of 20 sidecar captions per file.

  Valid input values include: `dfxp` (first div element only), `ebu-tt`, `scc`, `smpt`, `srt`, `ttml` (first div element only), and `webvtt`

  Valid outputs include: `dfxp` (first div element only), `scc`, `srt`, and `webvtt`.

If you want ttml or smpte-tt compatible captions, specify dfxp as your output format.

Elastic Transcoder does not support OCR (Optical Character Recognition), does not accept pictures as a valid input for captions, and is not available for audio-only transcoding. Elastic Transcoder does not preserve text formatting (for example, italics) during the transcoding process.

To remove captions or leave the captions empty, set `Captions` to null. To pass through existing captions unchanged, set the `MergePolicy` to `MergeRetain`, and pass in a null `CaptionSources` array.

For more information on embedded files, see the Subtitles Wikipedia page.

For more information on sidecar files, see the Extensible Metadata Platform and Sidecar file Wikipedia pages.

Returns:
  You can configure Elastic Transcoder to transcode captions, or subtitles, from one format to another. All captions must be in UTF-8. Elastic Transcoder supports two types of captions:

  - Embedded: Embedded captions are included in the same file as the audio and video. Elastic Transcoder supports only one embedded caption per language, to a maximum of 300 embedded captions per file.

    Valid input values include: `CEA-608 (EIA-608`, first non-empty channel only), `CEA-708 (EIA-708`, first non-empty channel only), and `mov-text`

    Valid outputs include: `mov-text`

    Elastic Transcoder supports a maximum of one embedded format per output.

  - Sidecar: Sidecar captions are kept in a separate metadata file from the audio and video data. Sidecar captions require a player that is capable of understanding the relationship between the video file and the sidecar file. Elastic Transcoder supports only one sidecar caption per language, to a maximum of 20 sidecar captions per file.

    Valid input values include: `dfxp` (first div element only), `ebu-tt`, `scc`, `smpt`, `srt`, `ttml` (first div element only), and `webvtt`

    Valid outputs include: `dfxp` (first div element only), `scc`, `srt`, and `webvtt`.

  If you want ttml or smpte-tt compatible captions, specify dfxp as your output format.

  Elastic Transcoder does not support OCR (Optical Character Recognition), does not accept pictures as a valid input for captions, and is not available for audio-only transcoding. Elastic Transcoder does not preserve text formatting (for example, italics) during the transcoding process.

  To remove captions or leave the captions empty, set `Captions` to null. To pass through existing captions unchanged, set the `MergePolicy` to `MergeRetain`, and pass in a null `CaptionSources` array.

  For more information on embedded files, see the Subtitles Wikipedia page.

  For more information on sidecar files, see the Extensible Metadata Platform and Sidecar file Wikipedia pages.

#### withCaptions

    public CreateJobOutput withCaptions(Captions captions)

You can configure Elastic Transcoder to transcode captions, or subtitles, from one format to another. All captions must be in UTF-8. Elastic Transcoder supports two types of captions:

- Embedded: Embedded captions are included in the same file as the audio and video. Elastic Transcoder supports only one embedded caption per language, to a maximum of 300 embedded captions per file.

  Valid input values include: `CEA-608 (EIA-608`, first non-empty channel only), `CEA-708 (EIA-708`, first non-empty channel only), and `mov-text`

  Valid outputs include: `mov-text`

  Elastic Transcoder supports a maximum of one embedded format per output.

- Sidecar: Sidecar captions are kept in a separate metadata file from the audio and video data. Sidecar captions require a player that is capable of understanding the relationship between the video file and the sidecar file. Elastic Transcoder supports only one sidecar caption per language, to a maximum of 20 sidecar captions per file.

  Valid input values include: `dfxp` (first div element only), `ebu-tt`, `scc`, `smpt`, `srt`, `ttml` (first div element only), and `webvtt`

  Valid outputs include: `dfxp` (first div element only), `scc`, `srt`, and `webvtt`.

If you want ttml or smpte-tt compatible captions, specify dfxp as your output format.

Elastic Transcoder does not support OCR (Optical Character Recognition), does not accept pictures as a valid input for captions, and is not available for audio-only transcoding. Elastic Transcoder does not preserve text formatting (for example, italics) during the transcoding process.

To remove captions or leave the captions empty, set `Captions` to null. To pass through existing captions unchanged, set the `MergePolicy` to `MergeRetain`, and pass in a null `CaptionSources` array.

For more information on embedded files, see the Subtitles Wikipedia page.

For more information on sidecar files, see the Extensible Metadata Platform and Sidecar file Wikipedia pages.

Parameters:
  `captions` - You can configure Elastic Transcoder to transcode captions, or subtitles, from one format to another. All captions must be in UTF-8. Elastic Transcoder supports two types of captions:

  - Embedded: Embedded captions are included in the same file as the audio and video. Elastic Transcoder supports only one embedded caption per language, to a maximum of 300 embedded captions per file.

    Valid input values include: `CEA-608 (EIA-608`, first non-empty channel only), `CEA-708 (EIA-708`, first non-empty channel only), and `mov-text`

    Valid outputs include: `mov-text`

    Elastic Transcoder supports a maximum of one embedded format per output.

  - Sidecar: Sidecar captions are kept in a separate metadata file from the audio and video data. Sidecar captions require a player that is capable of understanding the relationship between the video file and the sidecar file. Elastic Transcoder supports only one sidecar caption per language, to a maximum of 20 sidecar captions per file.

    Valid input values include: `dfxp` (first div element only), `ebu-tt`, `scc`, `smpt`, `srt`, `ttml` (first div element only), and `webvtt`

    Valid outputs include: `dfxp` (first div element only), `scc`, `srt`, and `webvtt`.

  If you want ttml or smpte-tt compatible captions, specify dfxp as your output format.

  Elastic Transcoder does not support OCR (Optical Character Recognition), does not accept pictures as a valid input for captions, and is not available for audio-only transcoding. Elastic Transcoder does not preserve text formatting (for example, italics) during the transcoding process.

  To remove captions or leave the captions empty, set `Captions` to null. To pass through existing captions unchanged, set the `MergePolicy` to `MergeRetain`, and pass in a null `CaptionSources` array.

  For more information on embedded files, see the Subtitles Wikipedia page.

  For more information on sidecar files, see the Extensible Metadata Platform and Sidecar file Wikipedia pages.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEncryption

    public void setEncryption(Encryption encryption)

You can specify encryption settings for any output files that you want to use for a transcoding job. This includes the output file and any watermarks, thumbnails, album art, or captions that you want to use. You must specify encryption settings for each file individually.

Parameters:
  `encryption` - You can specify encryption settings for any output files that you want to use for a transcoding job. This includes the output file and any watermarks, thumbnails, album art, or captions that you want to use. You must specify encryption settings for each file individually.

#### getEncryption

    public Encryption getEncryption()

You can specify encryption settings for any output files that you want to use for a transcoding job. This includes the output file and any watermarks, thumbnails, album art, or captions that you want to use. You must specify encryption settings for each file individually.

Returns:
  You can specify encryption settings for any output files that you want to use for a transcoding job. This includes the output file and any watermarks, thumbnails, album art, or captions that you want to use. You must specify encryption settings for each file individually.

#### withEncryption

    public CreateJobOutput withEncryption(Encryption encryption)

You can specify encryption settings for any output files that you want to use for a transcoding job. This includes the output file and any watermarks, thumbnails, album art, or captions that you want to use. You must specify encryption settings for each file individually.

Parameters:
  `encryption` - You can specify encryption settings for any output files that you want to use for a transcoding job. This includes the output file and any watermarks, thumbnails, album art, or captions that you want to use. You must specify encryption settings for each file individually.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateJobOutput clone()

Overrides:
  `clone` in class `Object`